/**
@file doxygen_mscgen_test.h
@author Julien Zorko
@date 2011-09-09

@mainpage dox_test Doxygen Test

@note Doxygen file example to reproduce the MSCGEN problem.
MSGEN graphics for Latex/PDF do not seem generated.


@section mscgen_example MSC graphs
You can create sequence diagrams (message sequence chart) by writing some
MSCGEN tool scripts (http://www.mcternan.me.uk/mscgen/) and the \@msc
\@endmsc doxygen tags.

@warning Only <b>\\ref</b> syntax works in dot diagrams (\@ref will not be recognized).

Here is the msgen code:
@code
@msc
A,B;
A<-B [label="set_config()"];
A>>B [label="returns", ID="1"];
@endmsc
@endcode

Here should be the resulting graph:
@msc
A,B;
A<-B [label="set_config()"];
A>>B [label="returns", ID="1"];
@endmsc

*/

